Last Comment Bug 702352 - crash in js::detail::RegExpPrivate::decref
: crash in js::detail::RegExpPrivate::decref
Status: RESOLVED FIXED
: crash, regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 10 Branch
: x86 Windows 7
: -- critical (vote)
: mozilla10
Assigned To: general
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: 634654
  Show dependency treegraph
 
Reported: 2011-11-14 11:01 PST by Robert Kaiser
Modified: 2011-11-22 01:14 PST (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Robert Kaiser 2011-11-14 11:01:16 PST
This bug was filed from the Socorro interface and is 
report bp-190bf26c-8679-45ab-b3c9-0405c2111114 .
============================================================= 

This happens on both 10.0a2 Aurora and 11.0a1 Nightly, just that the signature changed from js::RegExpPrivate::decref to js::detail::RegExpPrivate::decref

It looks like this started right around the uplift day, the first crashes are from 2011-11-09 on both channels.
Comment 1 Sheila Mooney 2011-11-14 22:05:15 PST
Should track volume and see what happens.
Comment 3 Scoobidiver (away) 2011-11-15 01:07:38 PST
With combined signatures, it's #4 top crasher in 10.0a2 and 11.0a1.
Comment 4 Robert Kaiser 2011-11-16 09:44:59 PST
No crashes any more with builds from 2011-11-15 or later, it seems. Fixed by bug 701761 perhaps?

Note You need to log in before you can comment on or make changes to this bug.